{% extends 'base/base.html' %}

{% load static %}

{% block page_content %}
   <form method="POST" class="form-inline">
       {% csrf_token %}
        <div class="col-xl-6 col-md-6 mb-6">
            
            {% if obj %}      
                <div class="card border-left-warning shadow h-100 py-2">
            {% else %}
                <div class="card border-left-success shadow h-100 py-2">
            {% endif %}
            
                <div class="card-body">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                {% if obj %} Editar {% else %} Nuevo {% endif %} Puesto
                            </div>                        
                            <div class="dropdown-divider"></div>

                            <div class="col">
                                <div class="card" style="width: 29rem;">
                                    <img src="{% static 'base/img/jobs.svg' %}" class="card-img-top" alt="..." height="200px" width="200px">
                                    <div class="card-body">
                                      <h5 class="card-title text-md-center">Puestos de Trabajo - Presidencia Municipal</h5>                                      
                                    </div>
                                </div>
                            </div>
                            
                            <!-- primer fila -->
                            <div class="row my-3">                                
                                <div class="col-md-12 text-uppercase font-weight-bold">
                                    {{ form.nombre.label }}:
                                    <div class="input-group mt-1">{{ form.nombre }}</div>
                                </div>
                            </div>
                            
                            <!-- {{ form.as_p }} -->
                            <div class="dropdown-divider"></div>
                            <div class="row mt-3">
                                <div class="col-2"></div>

                                <div class="col-4">
                                    <button type="submit" class="btn btn-danger btn-block">
                                        <span class="fa fa-save"></span> Guardar
                                    </button>
                                </div>

                                <div class="col-4">                                    
                                    <a href="{% url 'apoyos:puestos_list' %}" class="btn btn-success btn-block">                                                                               
                                        <span class="fa fa-undo"></span> Cancelar                                         
                                    </a>                                  
                                </div>
                                    
                                <div class="col-2"></div>                                                                       
                            </div>                                                 
                            
                        </div>                        
                    </div>
                </div>
            </div>
        </div>
   </form>  
{% endblock page_content %}    
{% block js_page %}
    <script>
        {% if form.errors %}
            //si el formulario tiene errores
            {% for field in form %}
                {% if field.errors %}
                    {% for error in field.errors %}
                        mensaje('{{ error|escape }}', 'red')
                    {% endfor %}
                {% endif %}
            {% endfor %}
        {% endif %}


        {% if form.non_field_errors %}
            {% for error in form.non_field_errors %}
                mensaje('{{ error|escape }}', 'red')
            {% endfor %}
        {% endif %}
    </script>
{% endblock js_page %}

    